t.support(1)

NAME
t.support.py - Modifies the metadata of a space time dataset.

KEYWORDS
temporal, metadata, time

SYNOPSIS
t.support.py
t.support.py --help
t.support.py [-mu] input=name [semantictype=string] [type=name] [title=string] [description=string] [aggr_type=string] [--help] [--verbose] [--quiet] [--ui]

  Flags:

-m
    Update the metadata information and spatial extent of registered maps from the GRASS spatial database
    Check for removed maps and delete them from the temporal database and all effected space time datasets

-u
    Update metadata information, temporal and spatial extent from registered maps based on database entries.

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name [required]
    Name of the input space time dataset

semantictype=string
    Semantic type of the space time dataset
    Options: min, max, sum, mean
    Default: mean

type=name
    Type of the input space time dataset
    Options: strds, stvds, str3ds
    Default: strds

title=string
    Title of the space time dataset

description=string
    Description of the space time dataset

aggr_type=string
    Aggregation type of the space time raster or 3D raster dataset

DESCRIPTION
This module is dedicated to modify and update the metadata of a space time dataset.

The title, description and the semantic type can be modified.

The flag -u allows updating the STDS metadata from registered map layers. This is useful in case the map layers have been modified without using temporal commands.

The flag -m will update the metadata from registered maps, but also checks if the registered map layers have been removed from the spatial database. It deletes missing map layers from the space time dataset register table and the temporal database.

EXAMPLES
Modification of title and description of space time raster dataset A.

t.support type=strds input=tempmean_monthly title="Monthly temperature for North Carolina" \
          description="Dataset with monthly temperature for North Carolina"

Update the metadata of space time raster dataset A and check for removed map layers.

t.support -m type=strds input=tempmean_monthly

SEE ALSO
t.create, t.info

AUTHOR
Sören Gebbert, Thünen Institute of Climate-Smart Agriculture

SOURCE CODE

Available at: t.support source code (history)

Accessed: unknown

Main index | Temporal index | Topics index | Keywords index | Graphical index | Full index

© 2003-2022 GRASS Development Team, GRASS GIS 8.0.1 Reference Manual